{ home, pkgs, ... }: {
  home.packages = with pkgs; [
    # C/C++
    clang
    gnumake
    clang-tools

    # Rust
    rustc
    cargo
    cargo-edit
    cargo-flamegraph
    rust-analyzer

    # Other
    python3
    ansible
  ];

  # To prevent sysroot errors in rust-analyzer
  home.sessionVariables = {
    RUST_SRC_PATH = "${pkgs.rust.packages.stable.rustPlatform.rustLibSrc}";
  };
}
